gr::dab::control_stream_to_tag_cc_impl Class Reference

`#include <control_stream_to_tag_cc_impl.h>`

Inheritance diagram for gr::dab::control_stream_to_tag_cc_impl:
[legend]

## Public Member Functions

| control_stream_to_tag_cc_impl (const std::string &tag_str, int vlen)
| ~control_stream_to_tag_cc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::control_stream_to_tag_cc
typedef std::shared_ptr< control_stream_to_tag_cc > | sptr
Static Public Member Functions inherited from gr::dab::control_stream_to_tag_cc
static sptr | make (const std::string &tag_str, int vlen=1)
| Return a shared_ptr to a new instance of dab::control_stream_to_tag_cc.

## Constructor & Destructor Documentation

## control_stream_to_tag_cc_impl()

gr::dab::control_stream_to_tag_cc_impl::control_stream_to_tag_cc_impl | ( | const std::string & | tag_str,
|  | int | vlen )

## ~control_stream_to_tag_cc_impl()

gr::dab::control_stream_to_tag_cc_impl::~control_stream_to_tag_cc_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::dab::control_stream_to_tag_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- control_stream_to_tag_cc_impl.h